Subject: bug#35726: Further information of line number bug.

From: Aaron Jensen <[email-masked]>
Date: Wed, 15 May 2019 12:21:42 -0700

On Wed, May 15, 2019 at 8:32 AM Eli Zaretskii <[email-masked]> wrote:
> Thinking about this, I see several possible solutions:
>
>  1. Revert the fix for bug#24218 (since it's just an aesthetic issue).
>     Or maybe someone sees how to fix that bug in a way that doesn't
>     change the order of visiting the file and creating the client
>     frame.
>
>  2. Modify define-globalized-minor-mode to also use some other hook,
>     like maybe server-after-make-frame-hook.  This has a downside that
>     we will need to scan all the buffers on the frame, which might
>     slow down client frame creation.
>
>  3. Remove from linum.el and display-line-numbers.el the condition
>     that causes this:
>
>        (and (daemonp) (null (frame-parameter nil 'client)))
>
>     I don't think that bug#27210 will affect display-line-numbers, and
>     linum is semi-deprecated.

For what it's worth, I'd vote for #3 since linum is semi-deprecated
and I rather like the change, so I'd prefer not to revert it.

Aaron